function cv_update_coefficients;

main_data = get(gcf,'UserData');

main_data.common.k_sim = main_data.common.k_sim + 1;
main_data.common.x_vec = main_data.signals.x(main_data.common.k_sim:main_data.common.k_sim+main_data.signals.N-1)';
main_data.common.y     = main_data.common.x_vec * main_data.common.h_opt' + main_data.signals.n(main_data.common.k_sim);
norm_x_vec             = sum(main_data.common.x_vec.^2)+eps;

for k = 1:4;
    main_data.cv(k).h_hat_old = main_data.cv(k).h_hat;
    main_data.cv(k).e         = main_data.common.y - main_data.common.x_vec * main_data.cv(k).h_hat';
    main_data.cv(k).h_hat     = main_data.cv(k).h_hat + main_data.cv(k).mu * main_data.cv(k).e ...
                              * main_data.common.x_vec / norm_x_vec; 
end;

set(gcf,'UserData',main_data);