function cv_update_plots;

main_data = get(gcf,'UserData');

if (main_data.sim_active ~= 0)
    if strcmp(main_data.plot_mode,'3D')
        for k = 1:4
            set(main_data.axes(k).handle_h_dif,'XData',[main_data.cv(k).h_hat(1) main_data.cv(k).h_hat_old(1)], ...
                                               'YData',[main_data.cv(k).h_hat(2) main_data.cv(k).h_hat_old(2)], ...
                                               'ZData',[main_data.cv(k).h_hat(3) main_data.cv(k).h_hat_old(3)]);
            set(main_data.axes(k).handle_h_opt,'XData',main_data.common.h_opt(1), ...
                                               'YData',main_data.common.h_opt(2), ...
                                               'ZData',main_data.common.h_opt(3));
            set(main_data.axes(k).handle_h_hat,'XData',main_data.cv(k).h_hat(1), ...
                                               'YData',main_data.cv(k).h_hat(2), ...
                                               'ZData',main_data.cv(k).h_hat(3));
        end;
    else
        for k = 1:4  
            set(main_data.axes(k).handle_h_dif,'XData',[main_data.cv(k).h_hat(1) main_data.cv(k).h_hat_old(1)], ...
                                               'YData',[main_data.cv(k).h_hat(2) main_data.cv(k).h_hat_old(2)]);                                      
            set(main_data.axes(k).handle_h_opt,'XData',main_data.common.h_opt(1), ...
                'YData',main_data.common.h_opt(2));
            set(main_data.axes(k).handle_h_hat,'XData',main_data.cv(k).h_hat(1), ...
                'YData',main_data.cv(k).h_hat(2));
        end;
    end;
end;

drawnow;