function cv_reset;

main_data = get(gcf,'UserData');
main_data.common.k_sim = 0;
main_data.common.x_vec = zeros(1,main_data.signals.N);
main_data.common.h_opt = zeros(1,main_data.signals.N)+2;
main_data.common.h_opt(1) = 4;
main_data.signals.x    = randn(2000,1); 
main_data.signals.x    = filter(1,[1 -main_data.signals.cor_coeff_x],main_data.signals.x);
main_data.signals.n    = filter(1,[1 -main_data.signals.cor_coeff_n],main_data.signals.n);
main_data.signals.n    = main_data.signals.n / (std(main_data.signals.n)+eps) * std(main_data.signals.x) * 10^(-main_data.signals.SNR_dB/20);

if (main_data.signals.N >= 3)
    main_data.plot_mode = '3D';
else
    main_data.plot_mode = '2D';
end;
set(gcf,'UserData',main_data);

cv_init_plots;
drawnow;

if (main_data.sim_active == 1)
    cv_start_sim;
end;